Deny pending policy changes
curl --request POST \
--url https://api.trycomp.ai/v1/policies/{id}/deny-changes \
--header 'Content-Type: application/json' \
--header 'X-API-Key: <api-key>' \
--data '
{
"approverId": "mem_abc123def456"
}
'const options = {
method: 'POST',
headers: {'X-API-Key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({approverId: 'mem_abc123def456'})
};
fetch('https://api.trycomp.ai/v1/policies/{id}/deny-changes', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.trycomp.ai/v1/policies/{id}/deny-changes"
payload = { "approverId": "mem_abc123def456" }
headers = {
"X-API-Key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)Policies
Deny pending policy changes | Comp AI API
Deny pending policy changes in Comp AI. Create, version, publish, export, map, and improve compliance policies with AI-assisted drafting and approval.
POST
/
v1
/
policies
/
{id}
/
deny-changes
Deny pending policy changes
curl --request POST \
--url https://api.trycomp.ai/v1/policies/{id}/deny-changes \
--header 'Content-Type: application/json' \
--header 'X-API-Key: <api-key>' \
--data '
{
"approverId": "mem_abc123def456"
}
'const options = {
method: 'POST',
headers: {'X-API-Key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({approverId: 'mem_abc123def456'})
};
fetch('https://api.trycomp.ai/v1/policies/{id}/deny-changes', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.trycomp.ai/v1/policies/{id}/deny-changes"
payload = { "approverId": "mem_abc123def456" }
headers = {
"X-API-Key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)Authorizations
API key for authentication
Headers
Organization ID (required for session auth, optional for API key auth)
Path Parameters
Policy ID
Example:
"pol_abc123def456"
Body
application/json
Approver rejecting the pending changes
Response
201 - undefined
Was this page helpful?

